summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/doheader
diff options
context:
space:
mode:
authorArfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>2012-09-26 22:31:20 +0200
committerArfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>2012-09-26 22:31:20 +0200
commitab46499322311c1faa710c63d0a5339e49a9061a (patch)
tree2461ce1b29a6c5631b66bdfa1e730394fddca617 /bin/ebuild-helpers/doheader
parentc371cb4d1a1858c6271af9abee53b1dcc28d5435 (diff)
downloadportage-ab46499322311c1faa710c63d0a5339e49a9061a.tar.gz
portage-ab46499322311c1faa710c63d0a5339e49a9061a.tar.bz2
portage-ab46499322311c1faa710c63d0a5339e49a9061a.zip
Add eapi.sh with ___eapi_*() functions and use these functions in other files.
Diffstat (limited to 'bin/ebuild-helpers/doheader')
-rwxr-xr-xbin/ebuild-helpers/doheader8
1 files changed, 3 insertions, 5 deletions
diff --git a/bin/ebuild-helpers/doheader b/bin/ebuild-helpers/doheader
index db3a02d09..37953658b 100755
--- a/bin/ebuild-helpers/doheader
+++ b/bin/ebuild-helpers/doheader
@@ -4,11 +4,9 @@
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
-case "${EAPI}" in
- 0|1|2|3|4|4-python|4-slot-abi)
- die "${0##*/} is not supported in EAPI ${EAPI}"
- ;;
-esac
+if ! ___eapi_has_doheader; then
+ die "${0##*/} is not supported in EAPI ${EAPI}"
+fi
if [[ $# -lt 1 ]] || [[ $1 == -r && $# -lt 2 ]] ; then
__helpers_die "${0##*/}: at least one argument needed"